# BrownianIntegrator Class Reference

This is an Integrator which simulates a System using Brownian dynamics. More...

Inheritance diagram for BrownianIntegrator:

List of all members.

## Public Member Functions
def | getTemperature
| getTemperature(BrownianIntegrator self) -> double
def | setTemperature
| setTemperature(BrownianIntegrator self, double temp)
def | getFriction
| getFriction(BrownianIntegrator self) -> double
def | setFriction
| setFriction(BrownianIntegrator self, double coeff)
def | getRandomNumberSeed
| getRandomNumberSeed(BrownianIntegrator self) -> int
def | setRandomNumberSeed
| setRandomNumberSeed(BrownianIntegrator self, int seed)
def | step
| step(BrownianIntegrator self, int steps)
def | __init__
| __init__(OpenMM.BrownianIntegrator self, double temperature, double frictionCoeff, double stepSize) -> BrownianIntegrator __init__(OpenMM.BrownianIntegrator self, BrownianIntegrator other) -> BrownianIntegrator
def | __del__
| __del__(OpenMM.BrownianIntegrator self)
## Public Attributes
| this

## Detailed Description

This is an Integrator which simulates a System using Brownian dynamics.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.BrownianIntegrator self)

Reimplemented from Integrator.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.BrownianIntegrator self, double temperature, double frictionCoeff, double stepSize) -> BrownianIntegrator __init__(OpenMM.BrownianIntegrator self, BrownianIntegrator other) -> BrownianIntegrator

Create a BrownianIntegrator.

Parameters:

  | temperature | the temperature of the heat bath (in Kelvin)
  | frictionCoeff | the friction coefficient which couples the system to the heat bath, measured in 1/ps
  | stepSize | the step size with which to integrator the system (in picoseconds)

def getFriction | ( |  | self | ) |

getFriction(BrownianIntegrator self) -> double

Get the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(BrownianIntegrator self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

def getTemperature | ( |  | self | ) |

getTemperature(BrownianIntegrator self) -> double

Get the temperature of the heat bath (in Kelvin).

def setFriction | ( |  | self,
|  |  | args |
| ) |  |  |

setFriction(BrownianIntegrator self, double coeff)

Set the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

Parameters:

  | coeff | the friction coefficient, measured in 1/ps

def setRandomNumberSeed | ( |  | self,
|  |  | args |
| ) |  |  |

setRandomNumberSeed(BrownianIntegrator self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

def setTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setTemperature(BrownianIntegrator self, double temp)

Set the temperature of the heat bath (in Kelvin).

Parameters:

  | temp | the temperature of the heat bath, measured in Kelvin.

def step | ( |  | self,
|  |  | args |
| ) |  |  |

step(BrownianIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters:

  | steps | the number of time steps to take

Reimplemented from Integrator.

## Member Data Documentation

this

Reimplemented from Integrator.

The documentation for this class was generated from the following file:

- openmm.py